/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { FullStochasticOscillatorIndicatorStrategy } from "./FullStochasticOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
/**
 * @hidden
 */
export let FullStochasticOscillatorIndicator = /*@__PURE__*/ (() => {
    class FullStochasticOscillatorIndicator extends StrategyBasedIndicator {
        bi() {
            return new FullStochasticOscillatorIndicator();
        }
        constructor() {
            super();
            this.trendLineBrush = ((() => {
                let $ret = new Brush();
                $ret.fill = "#565656";
                return $ret;
            })());
            this.trendLineType = 10;
            this.trendLinePeriod = 3;
        }
        get_abn() {
            return new FullStochasticOscillatorIndicatorStrategy();
        }
        get abn() {
            return this.get_abn();
        }
        get_ab0() {
            return FullStochasticOscillatorIndicator.$;
        }
        get ab0() {
            return this.get_ab0();
        }
        get ab8() {
            return typeGetValue(this.c(FullStochasticOscillatorIndicator.acd));
        }
        set ab8(a) {
            this.h(FullStochasticOscillatorIndicator.acd, a);
        }
        abt() {
            return this.ab8;
        }
        ab2(a) {
            this.ab8 = a;
        }
        get smoothingPeriod() {
            return typeGetValue(this.c(FullStochasticOscillatorIndicator.ace));
        }
        set smoothingPeriod(a) {
            this.h(FullStochasticOscillatorIndicator.ace, a);
        }
        abv() {
            return this.smoothingPeriod;
        }
        get aca() {
            return typeGetValue(this.c(FullStochasticOscillatorIndicator.acf));
        }
        set aca(a) {
            this.h(FullStochasticOscillatorIndicator.acf, a);
        }
        abs() {
            return this.aca;
        }
        aa3() {
            return this.aca;
        }
    }
    FullStochasticOscillatorIndicator.$t = /*@__PURE__*/ markType(FullStochasticOscillatorIndicator, 'FullStochasticOscillatorIndicator', StrategyBasedIndicator.$);
    FullStochasticOscillatorIndicator.acd = /*@__PURE__*/ StrategyBasedIndicator.ab5(14, FullStochasticOscillatorIndicator.$);
    FullStochasticOscillatorIndicator.ace = /*@__PURE__*/ StrategyBasedIndicator.ab6(3, FullStochasticOscillatorIndicator.$, "SmoothingPeriod");
    FullStochasticOscillatorIndicator.acf = /*@__PURE__*/ StrategyBasedIndicator.ab6(3, FullStochasticOscillatorIndicator.$, "TriggerPeriod");
    return FullStochasticOscillatorIndicator;
})();
